Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 76806 - konqueror crashes on opening hidden directories
Summary: konqueror crashes on opening hidden directories
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdebase
Version: 8.0
Hardware: athlon
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-27 04:13 UTC by baulv
Modified: 2007-04-18 16:47 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-12-16 23:42:12 UTC


Attachments (Terms of Use)

Description baulv 2002-10-27 04:13:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
konqueror crashes on opening hidden directories if a command to also "unhide"
the sub-directory

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. open Konqueror
2. unhide "Wiew > Show hidden files'
3. open a sub directory (without unhiding this one too)
4. Konqueror Krashes
5. in step 3. if you "unhide" that dir no abnormal action
	

Actual Results:  Konqueror Krashes

Expected Results:  ..ehh not Krashed 

Additional info:

when running "strace konqueror" from console shell no problem appearant.

After that trying again I got a pop-up box saying "Can't find parent  item
file:/home/Chris/.loki  in the tree. Internal error"


Usually I get this kcrash report:

(no debugging symbols found)...[New Thread 8192 (LWP 21614)]
0x420ae169 in wait4 () from /lib/i686/libc.so.6
#0  0x420ae169 in wait4 () from /lib/i686/libc.so.6
#1  0x4212a2d0 in __DTOR_END__ () from /lib/i686/libc.so.6
#2  0x40e19c63 in waitpid () from /lib/i686/libpthread.so.0
#3  0x4062a1a5 in KCrash::defaultCrashHandler(int) ()
   from /usr/lib/libkdecore.so.4
#4  <signal handler called>
#5  0x41d9235b in KonqSidebarTree::slotAnimation() ()
   from /usr/lib/libkonq_sidebar_tree.so
#6  0x41d93205 in KonqSidebarTree::qt_invoke(int, QUObject*) ()
   from /usr/lib/libkonq_sidebar_tree.so
#7  0x408ecd6b in QObject::activate_signal(QConnectionList*, QUObject*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#8  0x408ecc57 in QObject::activate_signal(int) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#9  0x40bb5b4b in QTimer::timeout() ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#10 0x4090d792 in QTimer::event(QEvent*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#11 0x40898c49 in QApplication::internalNotify(QObject*, QEvent*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#12 0x408984f1 in QApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#13 0x405be9a6 in KApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/libkdecore.so.4
#14 0x4083ba88 in qt_activate_timers() ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#15 0x40839330 in QApplication::processNextEvent(bool) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#16 0x4089a280 in QApplication::enter_loop() ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#17 0x40a478c1 in QDialog::exec() () from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#18 0x40462270 in createKMessageBox(KDialogBase*, QMessageBox::Icon, QString
const&, QStringList const&, QString const&, bool*, int, QString const&) ()
   from /usr/lib/libkdeui.so.4
#19 0x40465061 in KMessageBox::error(QWidget*, QString const&, QString const&,
int) () from /usr/lib/libkdeui.so.4
#20 0x41da201a in KonqSidebarDirTreeModule::slotNewItems(QPtrList<KFileItem>
const&) () from /usr/lib/kde3/konq_sidebartree_dirtree.so
#21 0x41da3804 in KonqSidebarDirTreeModule::qt_invoke(int, QUObject*) ()
   from /usr/lib/kde3/konq_sidebartree_dirtree.so
#22 0x408ecd6b in QObject::activate_signal(QConnectionList*, QUObject*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#23 0x40219fb5 in KDirLister::newItems(QPtrList<KFileItem> const&) ()
   from /usr/lib/libkio.so.4
#24 0x402191b4 in KDirLister::emitItems() () from /usr/lib/libkio.so.4
#25 0x40212378 in KDirListerCache::listDir(KDirLister*, KURL const&, bool, bool)
() from /usr/lib/libkio.so.4
#26 0x40217f89 in KDirLister::openURL(KURL const&, bool, bool) ()
   from /usr/lib/libkio.so.4
#27 0x41da1996 in KonqSidebarDirTreeModule::listDirectory(KonqSidebarTreeItem*)
    () from /usr/lib/kde3/konq_sidebartree_dirtree.so
#28 0x41da164d in KonqSidebarDirTreeModule::openSubFolder(KonqSidebarTreeItem*)
    () from /usr/lib/kde3/konq_sidebartree_dirtree.so
#29 0x41da3ee2 in KonqSidebarDirTreeItem::setOpen(bool) ()
   from /usr/lib/kde3/konq_sidebartree_dirtree.so
#30 0x41da3298 in KonqSidebarDirTreeModule::followURL(KURL const&) ()
   from /usr/lib/kde3/konq_sidebartree_dirtree.so
#31 0x41d8fa03 in KonqSidebarTree::followURL(KURL const&) ()
   from /usr/lib/libkonq_sidebar_tree.so
#32 0x41d6a4ec in KonqSidebar_Tree::handleURL(KURL const&) ()
   from /usr/lib/kde3/konqsidebar_tree.so
#33 0x41a4f558 in KonqSidebarPlugin::openURL(KURL const&) ()
   from /usr/lib/libkonqsidebarplugin.so.0
#34 0x41a4076c in Sidebar_Widget::openURL(KURL const&) ()
   from /usr/lib/kde3/konq_sidebar.so
#35 0x41a392ef in KonqSidebar::openURL(KURL const&) ()
   from /usr/lib/kde3/konq_sidebar.so
#36 0x416f89ab in KonqView::openURL(KURL const&, QString const&, QString const&)
() from /usr/lib/konqueror.so
#37 0x416d75fa in KonqMainWindow::openView(QString, KURL const&, KonqView*,
KonqOpenURLRequest) () from /usr/lib/konqueror.so
#38 0x416d8f23 in KonqMainWindow::makeViewsFollow(KURL const&, KParts::URLArgs
const&, QString const&, KonqView*) () from /usr/lib/konqueror.so
#39 0x416d83dc in KonqMainWindow::openView(QString, KURL const&, KonqView*,
KonqOpenURLRequest) () from /usr/lib/konqueror.so
#40 0x416d6960 in KonqMainWindow::openURL(KonqView*, KURL const&, QString
const&, KonqOpenURLRequest const&, bool) () from /usr/lib/konqueror.so
#41 0x416d8913 in KonqMainWindow::openURL(KonqView*, KURL const&,
KParts::URLArgs const&) () from /usr/lib/konqueror.so
#42 0x416d84c3 in KonqMainWindow::slotOpenURLRequest(KURL const&,
KParts::URLArgs const&) () from /usr/lib/konqueror.so
#43 0x416f0ac6 in KonqMainWindow::qt_invoke(int, QUObject*) ()
   from /usr/lib/konqueror.so
#44 0x408ecd6b in QObject::activate_signal(QConnectionList*, QUObject*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#45 0x4007e637 in KParts::BrowserExtension::openURLRequestDelayed(KURL const&,
KParts::URLArgs const&) () from /usr/lib/libkparts.so.2
#46 0x4007d4c0 in KParts::BrowserExtension::slotEmitOpenURLRequestDelayed() ()
from /usr/lib/libkparts.so.2
#47 0x4007f1ba in KParts::BrowserExtension::qt_invoke(int, QUObject*) ()
   from /usr/lib/libkparts.so.2
#48 0x41a75d88 in IconViewBrowserExtension::qt_invoke(int, QUObject*) ()
   from /usr/lib/kde3/konq_iconview.so
#49 0x408ecd6b in QObject::activate_signal(QConnectionList*, QUObject*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#50 0x40bb39f2 in QSignal::signal(QVariant const&) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#51 0x40906298 in QSignal::activate() ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#52 0x4090d933 in QSingleShotTimer::event(QEvent*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#53 0x40898c49 in QApplication::internalNotify(QObject*, QEvent*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#54 0x408984f1 in QApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#55 0x405be9a6 in KApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/libkdecore.so.4
#56 0x4083ba88 in qt_activate_timers() ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#57 0x40839330 in QApplication::processNextEvent(bool) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#58 0x4089a280 in QApplication::enter_loop() ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#59 0x4083902d in QApplication::exec() ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#60 0x416d05e7 in main () from /usr/lib/konqueror.so
#61 0x0804cb9f in strcpy ()
#62 0x0804d8bb in strcpy ()
#63 0x0804dd7c in strcpy ()
#64 0x0804eb40 in strcpy ()
#65 0x420158d4 in __libc_start_main () from /lib/i686/libc.so.6


........and after the pop-up I got this: 

(no debugging symbols found)...[New Thread 8192 (LWP 21698)]
0x420ae169 in wait4 () from /lib/i686/libc.so.6
#0  0x420ae169 in wait4 () from /lib/i686/libc.so.6
#1  0x4212a2d0 in __DTOR_END__ () from /lib/i686/libc.so.6
#2  0x40e19c63 in waitpid () from /lib/i686/libpthread.so.0
#3  0x4062a1a5 in KCrash::defaultCrashHandler(int) ()
   from /usr/lib/libkdecore.so.4
#4  <signal handler called>
#5  0x41da2e5f in KonqSidebarDirTreeModule::slotListingStopped(KURL const&) ()
   from /usr/lib/kde3/konq_sidebartree_dirtree.so
#6  0x41da3872 in KonqSidebarDirTreeModule::qt_invoke(int, QUObject*) ()
   from /usr/lib/kde3/konq_sidebartree_dirtree.so
#7  0x408ecd10 in QObject::activate_signal(QConnectionList*, QUObject*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#8  0x40219b55 in KDirLister::completed(KURL const&) ()
   from /usr/lib/libkio.so.4
#9  0x4021239a in KDirListerCache::listDir(KDirLister*, KURL const&, bool, bool)
() from /usr/lib/libkio.so.4
#10 0x40217f89 in KDirLister::openURL(KURL const&, bool, bool) ()
   from /usr/lib/libkio.so.4
#11 0x41da1996 in KonqSidebarDirTreeModule::listDirectory(KonqSidebarTreeItem*)
    () from /usr/lib/kde3/konq_sidebartree_dirtree.so
#12 0x41da164d in KonqSidebarDirTreeModule::openSubFolder(KonqSidebarTreeItem*)
    () from /usr/lib/kde3/konq_sidebartree_dirtree.so
#13 0x41da3ee2 in KonqSidebarDirTreeItem::setOpen(bool) ()
   from /usr/lib/kde3/konq_sidebartree_dirtree.so
#14 0x41da3298 in KonqSidebarDirTreeModule::followURL(KURL const&) ()
   from /usr/lib/kde3/konq_sidebartree_dirtree.so
#15 0x41d8fa03 in KonqSidebarTree::followURL(KURL const&) ()
   from /usr/lib/libkonq_sidebar_tree.so
#16 0x41d6a4ec in KonqSidebar_Tree::handleURL(KURL const&) ()
   from /usr/lib/kde3/konqsidebar_tree.so
#17 0x41a4f558 in KonqSidebarPlugin::openURL(KURL const&) ()
   from /usr/lib/libkonqsidebarplugin.so.0
#18 0x41a4076c in Sidebar_Widget::openURL(KURL const&) ()
   from /usr/lib/kde3/konq_sidebar.so
#19 0x41a392ef in KonqSidebar::openURL(KURL const&) ()
   from /usr/lib/kde3/konq_sidebar.so
#20 0x416f89ab in KonqView::openURL(KURL const&, QString const&, QString const&)
() from /usr/lib/konqueror.so
#21 0x416d75fa in KonqMainWindow::openView(QString, KURL const&, KonqView*,
KonqOpenURLRequest) () from /usr/lib/konqueror.so
#22 0x416d8f23 in KonqMainWindow::makeViewsFollow(KURL const&, KParts::URLArgs
const&, QString const&, KonqView*) () from /usr/lib/konqueror.so
#23 0x416d83dc in KonqMainWindow::openView(QString, KURL const&, KonqView*,
KonqOpenURLRequest) () from /usr/lib/konqueror.so
#24 0x416d6960 in KonqMainWindow::openURL(KonqView*, KURL const&, QString
const&, KonqOpenURLRequest const&, bool) () from /usr/lib/konqueror.so
#25 0x416d8913 in KonqMainWindow::openURL(KonqView*, KURL const&,
KParts::URLArgs const&) () from /usr/lib/konqueror.so
#26 0x416d84c3 in KonqMainWindow::slotOpenURLRequest(KURL const&,
KParts::URLArgs const&) () from /usr/lib/konqueror.so
#27 0x416f0ac6 in KonqMainWindow::qt_invoke(int, QUObject*) ()
   from /usr/lib/konqueror.so
#28 0x408ecd6b in QObject::activate_signal(QConnectionList*, QUObject*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#29 0x4007e637 in KParts::BrowserExtension::openURLRequestDelayed(KURL const&,
KParts::URLArgs const&) () from /usr/lib/libkparts.so.2
#30 0x4007d4c0 in KParts::BrowserExtension::slotEmitOpenURLRequestDelayed() ()
   from /usr/lib/libkparts.so.2
#31 0x4007f1ba in KParts::BrowserExtension::qt_invoke(int, QUObject*) ()
   from /usr/lib/libkparts.so.2
#32 0x41a75d88 in IconViewBrowserExtension::qt_invoke(int, QUObject*) ()
   from /usr/lib/kde3/konq_iconview.so
#33 0x408ecd6b in QObject::activate_signal(QConnectionList*, QUObject*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#34 0x40bb39f2 in QSignal::signal(QVariant const&) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#35 0x40906298 in QSignal::activate() ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#36 0x4090d933 in QSingleShotTimer::event(QEvent*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#37 0x40898c49 in QApplication::internalNotify(QObject*, QEvent*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#38 0x408984f1 in QApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#39 0x405be9a6 in KApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/libkdecore.so.4
#40 0x4083ba88 in qt_activate_timers() ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#41 0x40839330 in QApplication::processNextEvent(bool) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#42 0x4089a280 in QApplication::enter_loop() ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#43 0x4083902d in QApplication::exec() ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#44 0x416d05e7 in main () from /usr/lib/konqueror.so
#45 0x0804cb9f in strcpy ()
#46 0x0804d8bb in strcpy ()
#47 0x0804dd7c in strcpy ()
#48 0x0804eb40 in strcpy ()
#49 0x420158d4 in __libc_start_main () from /lib/i686/libc.so.6

Comment 1 Ngo Than 2002-12-16 23:42:12 UTC
It seems it's fixed in 3.1-0.9 or newer. You will find it in next rawhide release.


Note You need to log in before you can comment on or make changes to this bug.